%define upstream_name	 HTTP-Recorder
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Record interaction with websites
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LE/LEIRA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTTP::Proxy)
BuildRequires: perl(HTTP::Request::Params)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
This is a browser-independent recorder for recording interactions with
web sites.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-8.mga8
+ Revision: 1495012
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-7.mga7
+ Revision: 1268525
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-6.mga6
+ Revision: 1028444
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-5.mga6
+ Revision: 942888
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 750176
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 685010
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 527057
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.70.0-1.mga4
+ Revision: 439394
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 368327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 268150
- update to 0.06

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 36368
- mageia rebuild
- imported package perl-HTTP-Recorder


* Wed Mar 10 2010 Michael Scherer <misc@mandriva.org> 0.50.0-2mdv2010.1
+ Revision: 517256
- fix crash " Can't locate object method "query_param"", patch from Stephen R. Scaffidi

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 403268
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.05-5mdv2009.0
+ Revision: 257249
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.05-3mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-3mdv2007.0
+ Revision: 73490
- import perl-HTTP-Recorder-0.05-3mdv2007.1

* Tue Apr 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-2mdk
- Add BuildRequires

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- 0.0.5 
- rpmbuildupdate aware
- spec cleanup
- better summary

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.02-1mdk
- initial Mandriva package

